﻿namespace Demo.domain.Models // Пространство имен для моделей
{
    public class Presence // Класс для представления присутствия пользователя в группе
    {
        // - User: Ссылка на пользователя, который присутствует.
        // - GroupId: Идентификатор группы, в которой пользователь присутствует.
        // - IsAttedance: Флаг, указывающий на присутствие пользователя.
        // - Date: Дата присутствия.
        // - LessonNumber: Номер урока, на котором присутствует пользователь.
        public required User User { get; set; } // Ссылка на пользователя
        public required int GroupId { get; set; } // Идентификатор группы
        public bool IsAttedance { get; set; } = true; // Флаг присутствия
        public required DateTime Date { get; set; } // Дата присутствия

        public required int LessonNumber { get; set; } // Номер урока
    }
}
